Status: Closed Start date: 06/05/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

We shall have shared memory block with TAG-SUBSECT:PID/exe name entries. This shall be linearly indexed in memory. With the

same approach as with service entries in memory. Maybe we need some common functions.

Thus at the startup we shall try to attach existing memory block and try to get infos from there and update our internal structs.

Also this would mean that if we monitor processes, we need to monitor them periodically by  scanning for process existence. This is

additionally to sigchild monitor. The same way as with ndrxd done.

History

#1 - 06/05/2017 04:16 PM - Madars

- Subject changed from client admin shared memory - information about clients to cpmsrv shared memory - information about clients

#2 - 07/04/2019 06:00 PM - Madars

xadmin down shall use the SHM infos too to kill any clients left over...

#3 - 07/04/2019 06:01 PM - Madars

Generic linear hash shall be built based on position_get_qstr

#4 - 07/22/2019 11:00 AM - Madars

Two maps are needed:

clt/subsect -> PID/exe

For monitoring purposes:

PID -> clt/subsect

#5 - 07/22/2019 11:21 AM - Madars

So when process is booting we shall:

- Check the shared memory for existing clients if there are and pid exists, then assume process is running. The process name shall be matched

against process name and PID.

- when client changes the status, both shared mem blocks must be updated

- when cpmsrv exists, the shared mem blocks and rw semaphore must be removed

#6 - 01/27/2020 06:20 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

04/23/2024 1/2



This was released in 7.0 version. Required as part of TM MIB.

#7 - 01/27/2020 06:21 PM - Madars

- Status changed from Resolved to Closed
